import { BaseProvider } from '#templates/base/provider';
import { RefreshTokenAuditLog } from '#models/RefreshTokenAuditLog';

export class RefreshTokenAuditLogProvider extends BaseProvider<RefreshTokenAuditLog> {
	public static instance: RefreshTokenAuditLogProvider;

	public static getInstance(): RefreshTokenAuditLogProvider {
		RefreshTokenAuditLogProvider.instance ??= new RefreshTokenAuditLogProvider();
		return RefreshTokenAuditLogProvider.instance;
	}

	public static get model() {
		return RefreshTokenAuditLog;
	}

	constructor() {
		super('RefreshTokenAuditLog');
	}
}
